Firefox 10 update

Bug #923319 reported by Chris Coulson on 2012-01-29
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
mozvoikko (Ubuntu)
Undecided
Unassigned
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned
Oneiric
Undecided
Unassigned
summary: - Placeholder bug
+ Firefox 10 transition
summary: - Firefox 10 transition
+ Firefox 10 update
Micah Gersten (micahg) on 2012-02-03
Changed in firefox (Ubuntu):
status: New → Fix Released
Changed in mozvoikko (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 2.0.1-0ubuntu0.10.10.1

---------------
mozvoikko (2.0.1-0ubuntu0.10.10.1) maverick-security; urgency=low

  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules
 -- Chris Coulson <email address hidden> Sun, 29 Jan 2012 14:32:05 +0000

Changed in mozvoikko (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 2.0.1-0ubuntu0.11.04.1

---------------
mozvoikko (2.0.1-0ubuntu0.11.04.1) natty-security; urgency=low

  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules
 -- Chris Coulson <email address hidden> Sun, 29 Jan 2012 14:23:21 +0000

Changed in mozvoikko (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 2.0.1-0ubuntu0.11.10.1

---------------
mozvoikko (2.0.1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * Update to the 2.0.1 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules
 -- Chris Coulson <email address hidden> Sun, 29 Jan 2012 14:20:17 +0000

Changed in mozvoikko (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.5 KiB)

This bug was fixed in the package firefox - 10.0+build1-0ubuntu0.10.10.1

---------------
firefox (10.0+build1-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream stable release (FIREFOX_10_0_BUILD1)
    - see LP: #923319 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update patches for PRBool -> bool transition
    - refresh debian/patches/firefox-kde.patch
    - refresh debian/patches/mozilla-kde.patch
    - refresh debian/patches/ubuntu-ua-string-changes.patch
  * Drop some more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Remove prerm hook for cleaning up pyc files in the apport package-hooks
    folder. Nothing creates these
    - update debian/firefox.prerm.in
  * Set up alternatives in the postinst script on abort-remove too
    - update debian/firefox.postinst.in
  * Imporove maintainer script magic for removing obsolete conffiles when
    upgrading from 3.6, by doing what dpkg-maintscripts-helper does
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Only run the Apparmor stuff in the postinst script on configure, and
    in the preinst script on install or upgrade, so it handles upgrade failures
    gracefully
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Drop the Ubuntuzilla workarounds now
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu_bookmarks.patch
  * Turn off Network Manager integration for now, as it causes Firefox to
    always start in offline mode. In any case, probing Network Manager isn't
    the most reliable way to test if there is a connection
    - update debian/vendor.js
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/firefox.install.in
  * Disable the tests on powerpc, because it sucks too much to run them
    - update debian/rules
  * "Fix" LP: #897794 - some websites expect "X11" to be the first token of
    the platform component in the UA string
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Defuzz ubuntu-codes-google.patch
  * Refresh shipped locales (adds Assamese and Kashubian)
    - refresh debian/config/locales.shipped
    - refresh debian/control
  * Update KDE patches for removal of nsCStringArray
    - update debian/firefox-kde.patch
    - update debian/mozilla-kde.patch
  * Backport changes to allow per-release/per-arch patches
    - add debian/build/enable-dist-patches.pl
    - update debian/rules
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Rebase patches for PRBool -> bool transition (bmo: 675553)
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/pat...

Read more...

Changed in firefox (Ubuntu Maverick):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.8 KiB)

This bug was fixed in the package firefox - 10.0+build1-0ubuntu0.11.04.1

---------------
firefox (10.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_10_0_BUILD1)
    - see LP: #923319 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update patches for PRBool -> bool transition
    - refresh debian/patches/firefox-kde.patch
    - refresh debian/patches/mozilla-kde.patch
    - refresh debian/patches/ubuntu-ua-string-changes.patch
  * Drop some more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Remove prerm hook for cleaning up pyc files in the apport package-hooks
    folder. Nothing creates these
    - update debian/firefox.prerm.in
  * Set up alternatives in the postinst script on abort-remove too
    - update debian/firefox.postinst.in
  * Imporove maintainer script magic for moving the system pref file and
    removing obsolete conffiles when upgrading from 3.6, by doing what
    dpkg-maintscripts-helper does
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Only run the Apparmor stuff in the postinst script on configure, and
    in the preinst script on install or upgrade, so it handles upgrade failures
    gracefully
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Drop the Ubuntuzilla workarounds now
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu_bookmarks.patch
  * Turn off Network Manager integration for now, as it causes Firefox to
    always start in offline mode. In any case, probing Network Manager isn't
    the most reliable way to test if there is a connection
    - update debian/vendor.js
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/firefox.install.in
  * Disable the tests on powerpc, because it sucks too much to run them
    - update debian/rules
  * "Fix" LP: #897794 - some websites expect "X11" to be the first token of
    the platform component in the UA string
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Defuzz ubuntu-codes-google.patch
  * Refresh shipped locales (adds Assamese and Kashubian)
    - refresh debian/config/locales.shipped
    - refresh debian/control
  * Update KDE patches for removal of nsCStringArray
    - update debian/firefox-kde.patch
    - update debian/mozilla-kde.patch
  * Backport changes to allow per-release/per-arch patches
    - add debian/build/enable-dist-patches.pl
    - update debian/rules
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Rebase patches for PRBool -> bool transition (bmo: 675553)
    - update debian/patches/allow-lockPref-everywh...

Read more...

Changed in firefox (Ubuntu Natty):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.6 KiB)

This bug was fixed in the package firefox - 10.0+build1-0ubuntu0.11.10.1

---------------
firefox (10.0+build1-0ubuntu0.11.10.1) oneiric-security; urgency=low

  * New upstream stable release (FIREFOX_10_0_BUILD1)
    - see LP: #923319 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update patches for PRBool -> bool transition
    - refresh debian/patches/firefox-kde.patch
    - refresh debian/patches/mozilla-kde.patch
    - refresh debian/patches/ubuntu-ua-string-changes.patch
  * Drop some more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Remove prerm hook for cleaning up pyc files in the apport package-hooks
    folder. Nothing creates these
    - update debian/firefox.prerm.in
  * Set up alternatives in the postinst script on abort-remove too
    - update debian/firefox.postinst.in
  * Imporove maintainer script magic for moving the system pref file and
    removing obsolete conffiles when upgrading from 3.6, by doing what
    dpkg-maintscripts-helper does
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Only run the Apparmor stuff in the postinst script on configure, and
    in the preinst script on install or upgrade, so it handles upgrade failures
    gracefully
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu_bookmarks.patch
  * Turn off Network Manager integration for now, as it causes Firefox to
    always start in offline mode. In any case, probing Network Manager isn't
    the most reliable way to test if there is a connection
    - update debian/vendor.js
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/firefox.install.in
  * "Fix" LP: #897794 - some websites expect "X11" to be the first token of
    the platform component in the UA string
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Defuzz ubuntu-codes-google.patch
  * Refresh shipped locales (adds Assamese and Kashubian)
    - refresh debian/config/locales.shipped
    - refresh debian/control
  * Update KDE patches for removal of nsCStringArray
    - update debian/firefox-kde.patch
    - update debian/mozilla-kde.patch
  * Backport changes to allow per-release/per-arch patches
    - add debian/build/enable-dist-patches.pl
    - update debian/rules
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series

  [ Micah Gersten <email address hidden> ]
  * Rebase patches for PRBool -> bool transition (bmo: 675553)
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/mozilla-kde.patch
  * Drop patch after upstream landing of (bmo: 690432) aka Logging.h passes a
    string directly to printf
    - drop de...

Read more...

Changed in firefox (Ubuntu Oneiric):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mozvoikko - 2.0.1-0ubuntu0.10.04.1

---------------
mozvoikko (2.0.1-0ubuntu0.10.04.1) lucid-security; urgency=low

  * Update to the 2.0 rewrite
    - Now uses js-ctypes (yay, good riddance evil binary extension)
    - Fixes LP: #914706 - can't select any other spell-check language in
      Firefox with mozvoikko installed
    - see LP: #923319 for USN information
  * Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
    - update debian/control
  * Make xul-ext-mozvoikko Arch: all
    - update debian/control
  * Drop debian/patches/fix_sdk_build.patch
  * Drop debian/patches/port_to_latest_firefox.patch
  * Drop everything related to the old build system from debian/rules
  * Add patch to enable compatibility with libvoikko 2.2.2 in Lucid
    - add debian/patches/lucid_compat.patch
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Sun, 29 Jan 2012 14:36:35 +0000

Changed in mozvoikko (Ubuntu Lucid):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.7 KiB)

This bug was fixed in the package firefox - 10.0+build1-0ubuntu0.10.04.2

---------------
firefox (10.0+build1-0ubuntu0.10.04.2) lucid-security; urgency=low

  * New upstream stable release (FIREFOX_10_0_BUILD1)
    - see LP: #923319 for USN information

  [ Chris Coulson <email address hidden> ]
  * Update patches for PRBool -> bool transition
    - refresh debian/patches/firefox-kde.patch
    - refresh debian/patches/mozilla-kde.patch
    - refresh debian/patches/ubuntu-ua-string-changes.patch
  * Drop some more hanging IPC xpcshell tests
    - update debian/build/testsuite.mk
  * Remove prerm hook for cleaning up pyc files in the apport package-hooks
    folder. Nothing creates these
    - update debian/firefox.prerm.in
  * Set up alternatives in the postinst script on abort-remove too
    - update debian/firefox.postinst.in
  * Imporove maintainer script magic for removing obsolete conffiles when
    upgrading from 3.6, by doing what dpkg-maintscripts-helper does
    - update debian/firefox.postinst.in
    - update debian/firefox.postrm.in
    - update debian/firefox.preinst.in
  * Only run the Apparmor stuff in the postinst script on configure, and
    in the preinst script on install or upgrade, so it handles upgrade failures
    gracefully
    - update debian/firefox.postinst.in
    - update debian/firefox.preinst.in
  * Drop the Ubuntuzilla workarounds now
    - update debian/firefox.postinst.in
  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu_bookmarks.patch
  * Turn off Network Manager integration for now, as it causes Firefox to
    always start in offline mode. In any case, probing Network Manager isn't
    the most reliable way to test if there is a connection
    - update debian/vendor.js
  * Update after landing of bmo: #701875 - Rename omni.jar to omni.ja
    - update debian/firefox.install.in
  * Disable the tests on powerpc, because it sucks too much to run them
    - update debian/rules
  * "Fix" LP: #897794 - some websites expect "X11" to be the first token of
    the platform component in the UA string
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Defuzz ubuntu-codes-google.patch
  * Refresh shipped locales (adds Assamese and Kashubian)
    - refresh debian/config/locales.shipped
    - refresh debian/control
  * Update KDE patches for removal of nsCStringArray
    - update debian/firefox-kde.patch
    - update debian/mozilla-kde.patch
  * Backport changes to allow per-release/per-arch patches
    - add debian/build/enable-dist-patches.pl
    - update debian/rules
  * Fix LP: #908508 - Add patch from upstream to fix powerpc build failure.
    Only apply this patch on powerpc to avoid compromising the quality of
    the architectures that we care about
    - add debian/patches/fix-build-failure-without-yarr-jit2.patch
    - update debian/patches/series
  * Also make the previous powerpc build fix apply on ppc only
    - update debian/patches/series
  * Fix LP: #923461 - Broken Apparmor profile with Firefox 9.0.1
    - update debian/usr.bin.firefox.apparmor.10.04

  [ Micah Gersten <email address hidden> ]
  * Rebase patches for PRBool -> ...

Read more...

Changed in firefox (Ubuntu Lucid):
status: New → Fix Released
Micah Gersten (micahg) on 2012-02-03
description: updated
papukaija (papukaija) wrote :

I foind a regression: I updated to FF 10 today and after restarting it I was asked if I want to enable mozvoikko - the Finnish spell checker. I'm using Oneiric.

Micah Gersten (micahg) wrote :

What previous Firefox version were you running?

papukaija (papukaija) wrote :

I was using Firofox 9.0.1+build1-0ubuntu0.11.10.2. The xul-ext-mozvoikko got updated at the same time from 1.10.0-0ubuntu2.2 to 2.0.1-0ubuntu0.11.10.1. Thanks for helping on this issue.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers